import * as $dara from '@darabonba/typescript';
export declare class DescribeTagsResponseBodyTagsTagResourceTypeCount extends $dara.Model {
    ddh?: number;
    disk?: number;
    eni?: number;
    image?: number;
    instance?: number;
    keyPair?: number;
    launchTemplate?: number;
    reservedInstance?: number;
    securitygroup?: number;
    snapshot?: number;
    snapshotPolicy?: number;
    volume?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeTagsResponseBodyTagsTag extends $dara.Model {
    resourceTypeCount?: DescribeTagsResponseBodyTagsTagResourceTypeCount;
    tagKey?: string;
    tagValue?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeTagsResponseBodyTags extends $dara.Model {
    tag?: DescribeTagsResponseBodyTagsTag[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeTagsResponseBody extends $dara.Model {
    /**
     * @remarks
     * The page number.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries per page.
     *
     * @example
     * 50
     */
    pageSize?: number;
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * B04B8CF3-4489-432D-83BA-6F128E4F2295
     */
    requestId?: string;
    tags?: DescribeTagsResponseBodyTags;
    /**
     * @remarks
     * The total number of tags.
     *
     * @example
     * 1
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
